<nav class="navbar navbar-vertical bg  navbar-expand-md navbar-light " id="sidenav-main">
    <div class="container-fluid">
        <!-- Toggler -->
        <button class="navbar-toggler" type="button" (click)="isCollapsed=!isCollapsed" aria-controls="sidenav-collapse-main">
      <span class="navbar-toggler-icon"></span>
    </button>
        <!-- Brand -->
        <a class="navbar-brand pt-0" routerLinkActive="active" [routerLink]="['/home']">
            <img src="./assets/img/logo2.png" class="navbar-brand-img" style="padding:0 0 0 0;align-content: center; ;width: initial;max-height: 100px;" alt="...">
        </a>
        <!-- User -->
        <ul class="nav  align-items-center d-md-none">
            <li class="nav-item" ngbDropdown placement="bottom-right">
                <a class="nav-link nav-link-icon" role="button" ngbDropdownToggle>
                    <i class="ni ni-bell-55"></i>
                </a>

            </li>
            <li class="nav-item" ngbDropdown placement="bottom-right">
                <a class="nav-link" role="button" ngbDropdownToggle>
                    <div class="media align-items-center">
                        <span class="avatar avatar-sm rounded-circle">
              <img alt="Image placeholder" src="{{avatar}}">
            </span>
                        <div class="media-body ml-2 d-none d-lg-block">
                            <span class="mb-0 text-sm  font-weight-bold">{{username}}</span>
                        </div>
                    </div>
                </a>
                <div class="dropdown-menu-arrow dropdown-menu-right" ngbDropdownMenu>
                    <div class=" dropdown-header noti-title">
                        <h6 class="text-overflow m-0">Welcome!</h6>
                    </div>
                    <a routerLinkActive="active" [routerLink]="['/userAction']" class="dropdown-item">
                        <i class="ni ni-settings-gear-65"></i>
                        <span>Home</span>
                    </a>

                    <a *ngIf="role=='' || role=='user'" routerLinkActive="active" [routerLink]="['/mesActions']" class="dropdown-item">
                        <i class="ni ni-calendar-grid-58"></i>
                        <span>Mes Actions</span>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item" (click)="logout()">
                        <i class="ni ni-user-run"></i>
                        <span>Logout</span>
                    </a>
                </div>
            </li>
        </ul>
        <!-- Collapse -->
        <div class=" collapse navbar-collapse" [ngbCollapse]="isCollapsed" id="sidenav-collapse-main">
            <!-- Collapse header -->
            <div class="navbar-collapse-header d-md-none">
                <div class="row">
                    <div class="col-6 collapse-brand">
                        <a routerLinkActive="active" [routerLink]="['/dashboard']">
                            <img src="./assets/img/brand/blue.png">
                        </a>
                    </div>
                    <div class="col-6 collapse-close">
                        <button type="button" class="navbar-toggler" (click)="isCollapsed=!isCollapsed">
              <span></span>
              <span></span>
            </button>
                    </div>
                </div>
            </div>
            <!-- Form -->
            <!--  <form class="mt-4 mb-3 d-md-none">
        <div class="input-group input-group-rounded input-group-merge">
          <input type="search" class="form-control form-control-rounded form-control-prepended" placeholder="Search" aria-label="Search">
          <div class="input-group-prepend">
            <div class="input-group-text">
              <span class="fa fa-search"></span>
            </div>
          </div>
        </div>
      </form> -->
            <!-- Navigation -->
            <ul class="navbar-nav">
                <li *ngFor="let menuItem of menuItems" class="{{menuItem.class}} nav-item">
                    <a routerLinkActive="active" [routerLink]="[menuItem.path]" class="nav-link" style="color:lavender">
                        <i class="ni {{menuItem.icon}}"></i> {{menuItem.title}}
                    </a>
                </li>
            </ul>
            <!-- Divider -->
            <hr class="my-3">
            <!-- Heading -->
            <h6 class="navbar-heading text-muted">Sharek</h6>

        </div>
    </div>
</nav>